#
# spec file for package perl-Encode-JIS2K
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Encode-JIS2K
Requires:       /usr/bin/enc2xs
Version:        0.02
Release:        1.26
Url:            http://search.cpan.org/~dankogai/Encode-JIS2K-0.02/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DA/DANKOGAI/Encode-JIS2K-0.02.tar.gz
Patch0:         perl-Encode-JIS2K.patch
# PATCH-FIX-UPSTREAM in 0.03
Patch1:         reproducible.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        JIS X 0212 (aka JIS 2000) Encodings
License:        Artistic-1.0
Group:          Development/Libraries/Perl
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
This module implements encodings that covers JIS X 0213 charset (AKA
JIS 2000, hence the module name).



Authors:
--------
    Dan Kogai <dankogai@dan.co.jp>

%define __find_provides /usr/lib/rpm/find-provides
%define __find_requires /usr/lib/rpm/find-requires

%prep
%setup -q -n Encode-JIS2K-%{version}
%patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make %{?_smp_mflags}

%install
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%post
enc2xs -C > /dev/null 2>&1

%postun
if [ $1 = 0 ]; then
    enc2xs -C > /dev/null 2>&1
fi

%files 
%defattr(-,root,root)
%doc Changes MANIFEST README*
%{_mandir}/man3/*.3pm.gz
%{perl_vendorarch}/Encode/
%{perl_vendorarch}/auto/Encode/

%changelog
* Mon Jul  3 2017 bwiedemann@suse.com
- Add reproducible.patch to sort hash keys to fix build-compare
* Sun Nov  9 2014 Led <ledest@gmail.com>
- fix bashism in postun script
* Fri Nov 18 2011 coolo@suse.com
- use original tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Tue Aug  2 2005 mfabian@suse.de
- update to 0.02.
* Sat Sep 13 2003 mfabian@suse.de
- add "Prereq: /usr/bin/enc2xs".
* Fri Aug 29 2003 mfabian@suse.de
- redirect stdout and stderr of "enc2xs -C" to /dev/null.
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Wed Jul 16 2003 mfabian@suse.de
- simplify file list.
* Wed Jul 16 2003 mfabian@suse.de
- use vendorarch instead of sitearch.
* Sun Jun 15 2003 mfabian@suse.de
- fix "directory not owned by any package".
* Fri May 16 2003 mfabian@suse.de
- remove perllocal.pod from file list.
* Mon May 12 2003 mfabian@suse.de
- use "enc2xs -C" in %%post and %%postun to register/unregister
  the new encodings in the on demand-loading list.
* Fri May  9 2003 mfabian@suse.de
- new package: perl-Encode-JIS2K-0.01
- fix installation of man-page
